-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http: //beamng.com/bCDDL-1.1.txt
 
local M = {}
 
local revLimit = 8000
local throttleEngRPM = 2000
local throttleDiseng = false

local function init()
	if v.data.engine.maxRPM ~= nil and type(v.data.engine.maxRPM) == 'number' then
        revLimit = v.data.engine.maxRPM -(v.data.engine.maxRPM/100)
    end
	
	throttleEngRPM = revLimit - (revLimit/20)
end


local function updateGFX(dt)
	logAlways(revLimit)
	if electrics.values['rpm'] >= revLimit then
		logAlways("revLimit reached")
		drivetrain.throttle = 0
		throttleDiseng = true
	end
	
	if throttleDiseng and electrics.values['rpm'] >= throttleEngRPM then
		drivetrain.throttle = 0
	else
		throttleDiseng = false
	end
		
	
end
 
-- public interface
M.updateGFX = updateGFX
M.init = init
return M